ServerEvents.recipes(event => {
    event.custom({
        "type": "exdeorum:barrel_mixing",
        "fluid": "minecraft:water",
        "fluid_amount": 250,
        "ingredient": {
          "item": "minecraft:bone_meal"
        },
        "result": "minecraft:dirt"
      })
});